# Method: nodes.nodes.list

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/nodes.nodes/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/nodes.nodes/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/spectrum-access-system/reference/rest/nodes.nodes/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/nodes.nodes/list#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/nodes.nodes/list#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/nodes.nodes/list#body.aspect)

Lists `https://developers.google.com/spectrum-access-system/reference/rest/customers.nodes#Node`.

### HTTP request

`GET https://sasportal.googleapis.com/v1alpha1/{parent=nodes/*}/nodes`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name, for example, "nodes/1". |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `number` The maximum number of nodes to return in the response. |
| `pageToken` | `string` A pagination token returned from a previous call to `https://developers.google.com/spectrum-access-system/reference/rest/nodes.nodes/list#spectrum.sas.portal.v1alpha1.DeviceManager.ListNodes` that indicates where this listing should continue from. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/ListNodesResponse`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`